Show / Hide Table of Contents

# Struct ImGuiIOPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiIOPtr

### Constructors

| Improve this Doc View Source

#### ImGuiIOPtr(ImGuiIO*)

##### Declaration

    public ImGuiIOPtr(ImGuiIO*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiIO* | nativePtr |

| Improve this Doc View Source

#### ImGuiIOPtr(IntPtr)

##### Declaration

    public ImGuiIOPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### _UnusedPadding

##### Declaration

    public IntPtr _UnusedPadding { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### AppAcceptingEvents

##### Declaration

    public readonly ref bool AppAcceptingEvents { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### AppFocusLost

##### Declaration

    public readonly ref bool AppFocusLost { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BackendFlags

##### Declaration

    public readonly ref ImGuiBackendFlags BackendFlags { get; }

##### Property Value

Type | Description
--- | ---
ImGuiBackendFlags |

| Improve this Doc View Source

#### BackendLanguageUserData

##### Declaration

    public IntPtr BackendLanguageUserData { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### BackendPlatformName

##### Declaration

    public readonly NullTerminatedString BackendPlatformName { get; }

##### Property Value

Type | Description
--- | ---
NullTerminatedString |

| Improve this Doc View Source

#### BackendPlatformUserData

##### Declaration

    public IntPtr BackendPlatformUserData { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### BackendRendererName

##### Declaration

    public readonly NullTerminatedString BackendRendererName { get; }

##### Property Value

Type | Description
--- | ---
NullTerminatedString |

| Improve this Doc View Source

#### BackendRendererUserData

##### Declaration

    public IntPtr BackendRendererUserData { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### BackendUsingLegacyKeyArrays

##### Declaration

    public readonly ref sbyte BackendUsingLegacyKeyArrays { get; }

##### Property Value

Type | Description
--- | ---
System.SByte |

| Improve this Doc View Source

#### BackendUsingLegacyNavInputArray

##### Declaration

    public readonly ref bool BackendUsingLegacyNavInputArray { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ClipboardUserData

##### Declaration

    public IntPtr ClipboardUserData { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### ConfigDockingAlwaysTabBar

##### Declaration

    public readonly ref bool ConfigDockingAlwaysTabBar { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ConfigDockingNoSplit

##### Declaration

    public readonly ref bool ConfigDockingNoSplit { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ConfigDockingTransparentPayload

##### Declaration

    public readonly ref bool ConfigDockingTransparentPayload { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ConfigDockingWithShift

##### Declaration

    public readonly ref bool ConfigDockingWithShift { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ConfigDragClickToInputText

##### Declaration

    public readonly ref bool ConfigDragClickToInputText { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ConfigFlags

##### Declaration

    public readonly ref ImGuiConfigFlags ConfigFlags { get; }

##### Property Value

Type | Description
--- | ---
ImGuiConfigFlags |

| Improve this Doc View Source

#### ConfigInputTextCursorBlink

##### Declaration

    public readonly ref bool ConfigInputTextCursorBlink { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ConfigInputTrickleEventQueue

##### Declaration

    public readonly ref bool ConfigInputTrickleEventQueue { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ConfigMacOSXBehaviors

##### Declaration

    public readonly ref bool ConfigMacOSXBehaviors { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ConfigMemoryCompactTimer

##### Declaration

    public readonly ref float ConfigMemoryCompactTimer { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ConfigViewportsNoAutoMerge

##### Declaration

    public readonly ref bool ConfigViewportsNoAutoMerge { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ConfigViewportsNoDecoration

##### Declaration

    public readonly ref bool ConfigViewportsNoDecoration { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ConfigViewportsNoDefaultParent

##### Declaration

    public readonly ref bool ConfigViewportsNoDefaultParent { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ConfigViewportsNoTaskBarIcon

##### Declaration

    public readonly ref bool ConfigViewportsNoTaskBarIcon { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ConfigWindowsMoveFromTitleBarOnly

##### Declaration

    public readonly ref bool ConfigWindowsMoveFromTitleBarOnly { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ConfigWindowsResizeFromEdges

##### Declaration

    public readonly ref bool ConfigWindowsResizeFromEdges { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DeltaTime

##### Declaration

    public readonly ref float DeltaTime { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### DisplayFramebufferScale

##### Declaration

    public readonly ref Vector2 DisplayFramebufferScale { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### DisplaySize

##### Declaration

    public readonly ref Vector2 DisplaySize { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### FontAllowUserScaling

##### Declaration

    public readonly ref bool FontAllowUserScaling { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### FontDefault

##### Declaration

    public readonly ImFontPtr FontDefault { get; }

##### Property Value

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### FontGlobalScale

##### Declaration

    public readonly ref float FontGlobalScale { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Fonts

##### Declaration

    public readonly ImFontAtlasPtr Fonts { get; }

##### Property Value

Type | Description
--- | ---
ImFontAtlasPtr |

| Improve this Doc View Source

#### Framerate

##### Declaration

    public readonly ref float Framerate { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetClipboardTextFn

##### Declaration

    public readonly ref IntPtr GetClipboardTextFn { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### IniFilename

##### Declaration

    public readonly NullTerminatedString IniFilename { get; }

##### Property Value

Type | Description
--- | ---
NullTerminatedString |

| Improve this Doc View Source

#### IniSavingRate

##### Declaration

    public readonly ref float IniSavingRate { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### InputQueueCharacters

##### Declaration

    public readonly ImVector<ushort> InputQueueCharacters { get; }

##### Property Value

Type | Description
--- | ---
ImVector<System.UInt16> |

| Improve this Doc View Source

#### InputQueueSurrogate

##### Declaration

    public readonly ref ushort InputQueueSurrogate { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### KeyAlt

##### Declaration

    public readonly ref bool KeyAlt { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### KeyCtrl

##### Declaration

    public readonly ref bool KeyCtrl { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### KeyMap

##### Declaration

    public readonly RangeAccessor<int> KeyMap { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Int32> |

| Improve this Doc View Source

#### KeyMods

##### Declaration

    public readonly ref ImGuiModFlags KeyMods { get; }

##### Property Value

Type | Description
--- | ---
ImGuiModFlags |

| Improve this Doc View Source

#### KeyRepeatDelay

##### Declaration

    public readonly ref float KeyRepeatDelay { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### KeyRepeatRate

##### Declaration

    public readonly ref float KeyRepeatRate { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### KeysData

##### Declaration

    public readonly RangeAccessor<ImGuiKeyData> KeysData { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<ImGuiKeyData> |

| Improve this Doc View Source

#### KeysDown

##### Declaration

    public readonly RangeAccessor<bool> KeysDown { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Boolean> |

| Improve this Doc View Source

#### KeyShift

##### Declaration

    public readonly ref bool KeyShift { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### KeySuper

##### Declaration

    public readonly ref bool KeySuper { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### LogFilename

##### Declaration

    public readonly NullTerminatedString LogFilename { get; }

##### Property Value

Type | Description
--- | ---
NullTerminatedString |

| Improve this Doc View Source

#### MetricsActiveAllocations

##### Declaration

    public readonly ref int MetricsActiveAllocations { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MetricsActiveWindows

##### Declaration

    public readonly ref int MetricsActiveWindows { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MetricsRenderIndices

##### Declaration

    public readonly ref int MetricsRenderIndices { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MetricsRenderVertices

##### Declaration

    public readonly ref int MetricsRenderVertices { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MetricsRenderWindows

##### Declaration

    public readonly ref int MetricsRenderWindows { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MouseClicked

##### Declaration

    public readonly RangeAccessor<bool> MouseClicked { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Boolean> |

| Improve this Doc View Source

#### MouseClickedCount

##### Declaration

    public readonly RangeAccessor<ushort> MouseClickedCount { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.UInt16> |

| Improve this Doc View Source

#### MouseClickedLastCount

##### Declaration

    public readonly RangeAccessor<ushort> MouseClickedLastCount { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.UInt16> |

| Improve this Doc View Source

#### MouseClickedPos

##### Declaration

    public readonly RangeAccessor<Vector2> MouseClickedPos { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Numerics.Vector2> |

| Improve this Doc View Source

#### MouseClickedTime

##### Declaration

    public readonly RangeAccessor<double> MouseClickedTime { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Double> |

| Improve this Doc View Source

#### MouseDelta

##### Declaration

    public readonly ref Vector2 MouseDelta { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MouseDoubleClicked

##### Declaration

    public readonly RangeAccessor<bool> MouseDoubleClicked { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Boolean> |

| Improve this Doc View Source

#### MouseDoubleClickMaxDist

##### Declaration

    public readonly ref float MouseDoubleClickMaxDist { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MouseDoubleClickTime

##### Declaration

    public readonly ref float MouseDoubleClickTime { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MouseDown

##### Declaration

    public readonly RangeAccessor<bool> MouseDown { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Boolean> |

| Improve this Doc View Source

#### MouseDownDuration

##### Declaration

    public readonly RangeAccessor<float> MouseDownDuration { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Single> |

| Improve this Doc View Source

#### MouseDownDurationPrev

##### Declaration

    public readonly RangeAccessor<float> MouseDownDurationPrev { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Single> |

| Improve this Doc View Source

#### MouseDownOwned

##### Declaration

    public readonly RangeAccessor<bool> MouseDownOwned { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Boolean> |

| Improve this Doc View Source

#### MouseDownOwnedUnlessPopupClose

##### Declaration

    public readonly RangeAccessor<bool> MouseDownOwnedUnlessPopupClose { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Boolean> |

| Improve this Doc View Source

#### MouseDragMaxDistanceAbs

##### Declaration

    public readonly RangeAccessor<Vector2> MouseDragMaxDistanceAbs { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Numerics.Vector2> |

| Improve this Doc View Source

#### MouseDragMaxDistanceSqr

##### Declaration

    public readonly RangeAccessor<float> MouseDragMaxDistanceSqr { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Single> |

| Improve this Doc View Source

#### MouseDragThreshold

##### Declaration

    public readonly ref float MouseDragThreshold { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MouseDrawCursor

##### Declaration

    public readonly ref bool MouseDrawCursor { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### MouseHoveredViewport

##### Declaration

    public readonly ref uint MouseHoveredViewport { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### MousePos

##### Declaration

    public readonly ref Vector2 MousePos { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MousePosPrev

##### Declaration

    public readonly ref Vector2 MousePosPrev { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MouseReleased

##### Declaration

    public readonly RangeAccessor<bool> MouseReleased { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Boolean> |

| Improve this Doc View Source

#### MouseWheel

##### Declaration

    public readonly ref float MouseWheel { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MouseWheelH

##### Declaration

    public readonly ref float MouseWheelH { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImGuiIO*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImGuiIO* |

| Improve this Doc View Source

#### NavActive

##### Declaration

    public readonly ref bool NavActive { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### NavInputs

##### Declaration

    public readonly RangeAccessor<float> NavInputs { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Single> |

| Improve this Doc View Source

#### NavInputsDownDuration

##### Declaration

    public readonly RangeAccessor<float> NavInputsDownDuration { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Single> |

| Improve this Doc View Source

#### NavInputsDownDurationPrev

##### Declaration

    public readonly RangeAccessor<float> NavInputsDownDurationPrev { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Single> |

| Improve this Doc View Source

#### NavVisible

##### Declaration

    public readonly ref bool NavVisible { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### PenPressure

##### Declaration

    public readonly ref float PenPressure { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### SetClipboardTextFn

##### Declaration

    public readonly ref IntPtr SetClipboardTextFn { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### SetPlatformImeDataFn

##### Declaration

    public readonly ref IntPtr SetPlatformImeDataFn { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### UserData

##### Declaration

    public IntPtr UserData { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### WantCaptureKeyboard

##### Declaration

    public readonly ref bool WantCaptureKeyboard { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### WantCaptureMouse

##### Declaration

    public readonly ref bool WantCaptureMouse { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### WantCaptureMouseUnlessPopupClose

##### Declaration

    public readonly ref bool WantCaptureMouseUnlessPopupClose { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### WantSaveIniSettings

##### Declaration

    public readonly ref bool WantSaveIniSettings { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### WantSetMousePos

##### Declaration

    public readonly ref bool WantSetMousePos { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### WantTextInput

##### Declaration

    public readonly ref bool WantTextInput { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

| Improve this Doc View Source

#### AddFocusEvent(Boolean)

##### Declaration

    public void AddFocusEvent(bool focused)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | focused |

| Improve this Doc View Source

#### AddInputCharacter(UInt32)

##### Declaration

    public void AddInputCharacter(uint c)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | c |

| Improve this Doc View Source

#### AddInputCharactersUTF8(String)

##### Declaration

    public void AddInputCharactersUTF8(string str)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str |

| Improve this Doc View Source

#### AddInputCharacterUTF16(UInt16)

##### Declaration

    public void AddInputCharacterUTF16(ushort c)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | c |

| Improve this Doc View Source

#### AddKeyAnalogEvent(ImGuiKey, Boolean, Single)

##### Declaration

    public void AddKeyAnalogEvent(ImGuiKey key, bool down, float v)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiKey | key |
System.Boolean | down |
System.Single | v |

| Improve this Doc View Source

#### AddKeyEvent(ImGuiKey, Boolean)

##### Declaration

    public void AddKeyEvent(ImGuiKey key, bool down)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiKey | key |
System.Boolean | down |

| Improve this Doc View Source

#### AddMouseButtonEvent(Int32, Boolean)

##### Declaration

    public void AddMouseButtonEvent(int button, bool down)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | button |
System.Boolean | down |

| Improve this Doc View Source

#### AddMousePosEvent(Single, Single)

##### Declaration

    public void AddMousePosEvent(float x, float y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | x |
System.Single | y |

| Improve this Doc View Source

#### AddMouseViewportEvent(UInt32)

##### Declaration

    public void AddMouseViewportEvent(uint id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | id |

| Improve this Doc View Source

#### AddMouseWheelEvent(Single, Single)

##### Declaration

    public void AddMouseWheelEvent(float wh_x, float wh_y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | wh_x |
System.Single | wh_y |

| Improve this Doc View Source

#### ClearInputCharacters()

##### Declaration

    public void ClearInputCharacters()

| Improve this Doc View Source

#### ClearInputKeys()

##### Declaration

    public void ClearInputKeys()

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

| Improve this Doc View Source

#### SetAppAcceptingEvents(Boolean)

##### Declaration

    public void SetAppAcceptingEvents(bool accepting_events)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | accepting_events |

| Improve this Doc View Source

#### SetKeyEventNativeData(ImGuiKey, Int32, Int32)

##### Declaration

    public void SetKeyEventNativeData(ImGuiKey key, int native_keycode, int native_scancode)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiKey | key |
System.Int32 | native_keycode |
System.Int32 | native_scancode |

| Improve this Doc View Source

#### SetKeyEventNativeData(ImGuiKey, Int32, Int32, Int32)

##### Declaration

    public void SetKeyEventNativeData(ImGuiKey key, int native_keycode, int native_scancode, int native_legacy_index)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiKey | key |
System.Int32 | native_keycode |
System.Int32 | native_scancode |
System.Int32 | native_legacy_index |

### Operators

| Improve this Doc View Source

#### Implicit(ImGuiIO* to ImGuiIOPtr)

##### Declaration

    public static implicit operator ImGuiIOPtr(ImGuiIO*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiIO* | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiIOPtr |

| Improve this Doc View Source

#### Implicit(ImGuiIOPtr to ImGuiIO*)

##### Declaration

    public static implicit operator ImGuiIO*(ImGuiIOPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiIOPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImGuiIO* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImGuiIOPtr)

##### Declaration

    public static implicit operator ImGuiIOPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiIOPtr |